Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226659 - Merge Review: xsri
Summary: Merge Review: xsri
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:35 UTC by Nobody's working on this, feel free to take it
Modified: 2012-06-15 16:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-17 19:26:19 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:35:34 UTC
Fedora Merge Review: xsri

http://cvs.fedora.redhat.com/viewcvs/devel/xsri/
Initial Owner: sandmann@redhat.com

Comment 1 Orcan Ogetbil 2008-12-03 03:47:39 UTC
Here is the long awaited review for this package:

* Description: The description is insufficient. The term "root window" does not mean much to most people. What does "displays images on the root window" mean? I think it should be replaced by modern day terms such as "sets the wallpaper".

* rpmlint says:
    xsri.spec:20: W: setup-not-quiet
       Use a -q flag on %setup macro
    xsri.spec: E: no-cleaning-of-buildroot %install
       buildroot must be cleaned at the beginning of %install
    xsri.src: W: no-url-tag
       I guess this package does not have an URL at all, so this is fine.
    xsri.x86_64: E: zero-length /usr/share/doc/xsri-2.1.0/NEWS
       The file NEWS is empty, doesn't need to be packaged.
    xsri.x86_64: W: incoherent-version-in-changelog 2.1.0-15 ['1:2.1.0-15.fc10', '1:2.1.0-15']
       Typo? Can be fixed easily.

* Group:     System Environment/Base
    Is this the best one to pick?

* We prefer %defattr(-,root,root,-)

* BuildRequires: gtk2-devel >= 1.3.13
    From the guidelines: "if the lowest possible requirement is so old that nobody has a version older than that installed on any target distribution release, there's no need to include the version in the dependency at all."
    gtk2-1.3 is ancient, so no need to use the specific version here.

* Parallel make must be supported whenever possible. If it is not supported, this should be noted in the SPEC file as a comment.


I added Jason Tibbitts to the CC since he's the last known maintainer.

Comment 2 Orcan Ogetbil 2009-01-16 20:05:27 UTC
ping?

Comment 3 Orcan Ogetbil 2009-04-04 05:41:14 UTC
re-ping? shall I add someone else to CC?

Comment 4 Orcan Ogetbil 2009-06-09 19:01:59 UTC
re-re-ping? I added two other previous maintainers to CC. Please do not ignore!

Comment 5 Orcan Ogetbil 2009-12-10 03:29:21 UTC
re-re-re-ping? 

Any particular reason why this merge review is being ignored?

Comment 6 Jason Tibbitts 2009-12-10 04:16:17 UTC
Just looking back at comment #1, I have no idea at all why you would think I am the last known maintainer.  I've never had anything to do with the maintenance of this package.  I fixed the license tag ages ago, but I fixed the license tags of many packages.

Comment 7 Orcan Ogetbil 2009-12-10 04:21:46 UTC
and how would I know that you fixed license tag of many packages? :)
I just saw your name in the changelog as the last human who edited the package. I am sorry, my bad.

Comment 8 Orcan Ogetbil 2010-11-06 06:31:43 UTC
re-re-re-re-ping?

Almost 2 years since the review and still no progress. Why?

Comment 9 Jason Tibbitts 2010-11-06 13:04:50 UTC
The bottom line is that merge reviews aren't a priority for some folks, especially for packages like this one.

If you have a proposed patch for this or any other merge review for rarely used leaf package, ping me and I will apply it.

Comment 10 Adam Jackson 2012-04-17 19:26:19 UTC
~/fedora/xsri% cat dead.package 
This package was retired on 2011-07-25 due to it being unable to build this package for multiple releases (FTBFS).

Comment 11 Parag AN(पराग) 2012-06-15 16:26:41 UTC
This bug just popped out when I searched for packages under review but looks like this package was retired already.

Dropping the flag fedora-review?


Note You need to log in before you can comment on or make changes to this bug.